Bug 1253904 - SELinux is preventing abrt-dump-xorg from 'read' accesses on the file /var/db/nscd/group.
SELinux is preventing abrt-dump-xorg from 'read' accesses on the file /var/db...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:17b7aa84cbeeec24985eacf7360...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-15 06:30 EDT by vikram goyal
Modified: 2016-07-19 13:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vikram goyal 2015-08-15 06:30:46 EDT
Description of problem:

I don't think abrt needs to read group file, connect or write to nscd socket

Thanks
SELinux is preventing abrt-dump-xorg from 'read' accesses on the file /var/db/nscd/group.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-dump-xorg should be allowed read access on the group file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-dump-xorg /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:object_r:nscd_var_run_t:s0
Target Objects                /var/db/nscd/group [ file ]
Source                        abrt-dump-xorg
Source Path                   abrt-dump-xorg
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           nscd-2.21-7.fc22.x86_64
Policy RPM                    selinux-policy-3.13.1-128.8.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.1.4-200.fc22.x86_64 #1 SMP Tue
                              Aug 4 03:22:33 UTC 2015 x86_64 x86_64
Alert Count                   27
First Seen                    2015-08-05 14:49:14 IST
Last Seen                     2015-08-15 15:48:38 IST
Local ID                      65e04040-14ab-449c-86df-b66dcc461286

Raw Audit Messages
type=AVC msg=audit(1439633918.600:592): avc:  denied  { read } for  pid=670 comm="abrt-dump-journ" path="/var/db/nscd/group" dev="sda6" ino=3805840 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:nscd_var_run_t:s0 tclass=file permissive=1


Hash: abrt-dump-xorg,abrt_dump_oops_t,nscd_var_run_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-128.8.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.4-200.fc22.x86_64
type:           libreport
Comment 1 Fedora End Of Life 2016-07-19 13:30:55 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.